> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coval.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List tags

> Retrieve all active tags for your organization.



## OpenAPI

````yaml /api-reference/v1/tags-v1.yaml get /tags
openapi: 3.0.3
info:
  title: Coval Tags API
  version: 1.0.0
  description: >

    Manage tags for organizing agents, personas, test sets, metrics, and run
    templates.
  contact:
    name: Coval API Support
    email: support@coval.dev
    url: https://docs.coval.ai
  license:
    name: Proprietary
    url: https://coval.dev/terms
servers:
  - url: https://api.coval.dev/v1
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: CRUD operations for resource tags
paths:
  /tags:
    get:
      tags:
        - Tags
      summary: List tags
      description: Retrieve all active tags for your organization.
      operationId: listTags
      parameters:
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
          description: Maximum number of results per page
          example: 50
        - name: page_token
          in: query
          required: false
          schema:
            type: string
          description: Opaque pagination token from previous response
          example: eyJvZmZzZXQiOjUwfQ==
      responses:
        '200':
          description: Tags retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTagsResponse'
              examples:
                success:
                  $ref: '#/components/examples/ListTagsSuccess'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ListTagsResponse:
      type: object
      required:
        - tags
      properties:
        tags:
          type: array
          description: List of tag resources
          items:
            $ref: '#/components/schemas/TagResource'
        next_page_token:
          type: string
          nullable: true
          description: Token for fetching next page (null if no more results)
          example: eyJvZmZzZXQiOjUwfQ==
    TagResource:
      type: object
      description: >-
        Tag resource. Tags are used to organize agents, personas, test sets,
        metrics, and run templates.
      properties:
        name:
          type: string
          description: Resource name in format "tags/{tag_id}"
          example: tags/01HX2ABC3DEF4GHI5JKL6MNO7P
        id:
          type: string
          description: Tag resource ID
          example: 01HX2ABC3DEF4GHI5JKL6MNO7P
        tag_name:
          type: string
          description: Lowercase tag display name
          example: production
        color:
          type: string
          nullable: true
          description: Hex color code (#RGB,
          example: '#3b82f6'
        create_time:
          type: string
          format: date-time
          description: Creation timestamp (ISO 8601)
          example: '2025-10-14T12:00:00Z'
        created_by:
          type: string
          nullable: true
          description: Email of the user who created the tag
          example: engineer@example.com
    ErrorResponse:
      type: object
      description: Standard error response
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
            - details
          properties:
            code:
              type: string
              description: Error code enum
              enum:
                - INVALID_ARGUMENT
                - UNAUTHENTICATED
                - PERMISSION_DENIED
                - NOT_FOUND
                - ALREADY_EXISTS
                - INTERNAL
              example: INVALID_ARGUMENT
            message:
              type: string
              description: Human-readable error message
              example: Invalid request parameter
            details:
              type: array
              description: Detailed error information
              items:
                type: object
                properties:
                  field:
                    type: string
                    nullable: true
                    description: Field name that caused the error
                    example: tag_name
                  description:
                    type: string
                    description: Detailed error description
                    example: tag_name cannot be empty
  examples:
    ListTagsSuccess:
      summary: Successful list response
      value:
        tags:
          - name: tags/01HX2ABC3DEF4GHI5JKL6MNO7P
            id: 01HX2ABC3DEF4GHI5JKL6MNO7P
            tag_name: production
            color: '#3b82f6'
            create_time: '2025-10-14T12:00:00Z'
            created_by: engineer@example.com
          - name: tags/01HX3DEF4GHI5JKL6MNO7PQR8S
            id: 01HX3DEF4GHI5JKL6MNO7PQR8S
            tag_name: staging
            color: '#f59e0b'
            create_time: '2025-10-13T08:00:00Z'
            created_by: engineer@example.com
        next_page_token: null
  responses:
    Unauthorized:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: UNAUTHENTICATED
              message: Authentication failed
              details:
                - field: X-API-Key
                  description: Invalid or missing API key
    InternalError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: INTERNAL
              message: Internal server error
              details:
                - description: An unexpected error occurred
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key for authentication

````